View Issue Details

IDProjectCategoryView StatusLast Update
10074Feature requests[All Projects] Theme editorpublic2016-04-12 10:48
Reportertammo Assigned ToLouisGac  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary10074: Please insert LS version and build# as classes in body
Description

When testing version 2.5 RC3 we now see that the structure of the HTML is slightly different from earlier version. In order to keep templates working in multiple versions it would help very much if both the version and the build# are inserted as body classes so we can define conditionals.

Something like <body class="v2.5 b151225">

TagsNo tags attached.

Relationships

child of 07545 assignedLouisGac Use a dedicated template engine 

Activities

c_schmitz

c_schmitz

2015-12-04 15:09

administrator   ~33687

I see the problem but the solution is not right.
Revealing version and build number can be a security problem.
This could be resolved though by a proper templating engine which offers conditional statements without needing PHP directlry.

tammo

tammo

2015-12-04 15:21

partner   ~33704

Is there any indication if and when a "proper" templating engine is available in LimeSurvey?

LouisGac

LouisGac

2015-12-09 15:30

manager   ~33814

I can at least put a class like 'bootstrap' to indicate it's using the bootstrap engine.

LouisGac

LouisGac

2015-12-09 15:37

manager   ~33815

Fix committed to 2.5 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=16442

LouisGac

LouisGac

2015-12-09 15:38

manager   ~33816

Now the body has a new class : bootstrap-engine
In the future, it should be possible to choose between different engines to generate the html flow (the DOM).

c_schmitz

c_schmitz

2016-04-12 10:48

administrator   ~37246

Version 2.50+ Build 140413 released

Related Changesets

LimeSurvey: 2.5 fba77c36

2015-12-09 14:36:55

LouisGac

Details Diff
Fixed issue 10074: body has a new class 'bootstrap-engine' Affected Issues
10074
mod - application/helpers/replacements_helper.php Diff File

Issue History

Date Modified Username Field Change
2015-12-04 11:25 tammo New Issue
2015-12-04 15:09 c_schmitz Note Added: 33687
2015-12-04 15:09 c_schmitz Relationship added child of 07545
2015-12-04 15:21 tammo Note Added: 33704
2015-12-09 15:30 LouisGac Note Added: 33814
2015-12-09 15:37 LouisGac Changeset attached => LimeSurvey 2.5 fba77c36
2015-12-09 15:37 LouisGac Note Added: 33815
2015-12-09 15:37 LouisGac Assigned To => LouisGac
2015-12-09 15:37 LouisGac Resolution open => fixed
2015-12-09 15:38 LouisGac Note Added: 33816
2015-12-09 15:38 LouisGac Status new => resolved
2015-12-11 14:40 c_schmitz Category Templates => Theme editor
2016-04-12 10:48 c_schmitz Note Added: 37246
2016-04-12 10:48 c_schmitz Status resolved => closed